Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class UnknownEscherRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.UnknownEscherRecord

public class UnknownEscherRecord
extends EscherRecord

This record is used whenever a escher record is encountered that we do not explicitly support.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`UnknownEscherRecord()`

Method Summary
`void` | `addChildRecord(EscherRecord childRecord)`
`java.lang.Object` | `clone()` Escher records may need to be clonable in the future.
`int` | `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`java.util.List` | `getChildRecords()`
`byte[]` | `getData()`
`java.lang.String` | `getRecordName()` The short name for this record
`int` | `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`int` | `serialize(int offset, byte[] data, EscherSerializationListener listener)` Writes this record and any contained records to the supplied byte array.
`void` | `setChildRecords(java.util.List childRecords)` Sets the child records for this record.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`display, fillFields, getChild, getInstance, getOptions, getRecordId, isContainerRecord, readHeader, serialize, serialize, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownEscherRecord

    public UnknownEscherRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Writes this record and any contained records to the supplied byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getData

    public byte[] getData()

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getChildRecords

    public java.util.List getChildRecords()

  Overrides:
    `getChildRecords` in class `EscherRecord`
  Returns:
    Returns the children of this record. By default this will be an empty list. EscherCotainerRecord is the only record that may contain children.
  See Also:
    `EscherContainerRecord`

### setChildRecords

    public void setChildRecords(java.util.List childRecords)

  Description copied from class: `EscherRecord`
  Sets the child records for this record. By default this will throw an exception as only EscherContainerRecords may have children.

  Overrides:
    `setChildRecords` in class `EscherRecord`
  Parameters:
    `childRecords` - Not used in base implementation.

### clone

    public java.lang.Object clone()

  Description copied from class: `EscherRecord`
  Escher records may need to be clonable in the future.

  Overrides:
    `clone` in class `EscherRecord`

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

### addChildRecord

    public void addChildRecord(EscherRecord childRecord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.